### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection.platform

# Class PlatformConnectionFactoryManager

java.lang.Object
com.sas.iom.orb.LoggerFactory
com.sas.services.connection.LoggerFactory
com.sas.services.connection.ConnectionFactoryManager
com.sas.services.connection.platform.PlatformConnectionFactoryManager

@SASScope("ALL") @BinaryCompatibilityOnly public class PlatformConnectionFactoryManager extends ConnectionFactoryManager
A factory of connection factories. This class creates `connection factories` that match a desired `configuration`. Connection factories created using this connection factory manager will use the Logging Service to log messages about their activity.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static PlatformConnectionFactoryManager`
  `defaultManager`
  The default platform connection factory manager.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformConnectionFactoryManager()`
  Construct a new platform connection factory manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PlatformConnectionFactoryInterface`
  `getPlatformConnectionFactory(ConnectionFactoryConfiguration cxfConfig)`
  Creates a connection factory that matches a desired configuration.
  `static String`
  `getPlatformConnectionFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)`
  Deprecated.
  all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively.
  `PlatformConnectionFactoryInterface`
  `getPlatformFactory(ConnectionFactoryConfiguration cxfConfig)`
  Creates a connection factory that matches a desired configuration.

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryManager

  `activateShell, assignRequestID, getConnectionFactory, getConnectionFactoryLoggerName, getConnectionResources, getFactory, getFactoryLoggerName, getLoggerFactory, getManagerID, removeKernel, setConnectionResources`

  ### Methods inherited from class com.sas.services.connection.LoggerFactory

  `getConnectionServiceLogger, getLogger, wrap`

  ### Methods inherited from class com.sas.iom.orb.LoggerFactory

  `formatOrderedPair, getLogger, isLoggable, isLoggableFINE, isLoggableFINER, isLoggableFINEST, isLoggableRecord, isLoggableSEVERE`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### defaultManager

    public static PlatformConnectionFactoryManager defaultManager
    The default platform connection factory manager.

- ## Constructor Details

  - ### PlatformConnectionFactoryManager

    public PlatformConnectionFactoryManager()
    Construct a new platform connection factory manager.

- ## Method Details

  - ### getPlatformFactory

    public PlatformConnectionFactoryInterface getPlatformFactory(ConnectionFactoryConfiguration cxfConfig) throws ConnectionFactoryException
    Creates a connection factory that matches a desired configuration. The factory will be managed by this connection factory manager. If such a connection factory already exists in this manager's factory set, and if it has not been shutdown or destroyed, a reference to it will be returned instead.
    Parameters:
      `cxfConfig` - the desired configuration
    Returns:
      a connection fatory matching the desired configuration
    Throws:
      `ConnectionFactoryException` - if the configuration is invalid

  - ### getPlatformConnectionFactoryLoggerName

    public static String getPlatformConnectionFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)
    Deprecated.
    all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.
    Get the name of the logger that will be used by the factory created by the default manager using the specified configuration.
    Parameters:
      `cxfConfig` - the desired configuration. Cannot be null.
    Returns:
      the name of the logger that will be used by the factory created by the default manager using the specified configuration

  - ### getPlatformConnectionFactory

    public static PlatformConnectionFactoryInterface getPlatformConnectionFactory(ConnectionFactoryConfiguration cxfConfig) throws ConnectionFactoryException
    Creates a connection factory that matches a desired configuration. The factory will be managed by the default connection factory manager. If such a connection factory already exists in the default manager's factory set, and if it has not been shutdown or destroyed, a reference to it will be returned instead.
    Parameters:
      `cxfConfig` - the desired configuration
    Returns:
      a connection fatory matching the desired configuration
    Throws:
      `ConnectionFactoryException` - if the configuration is invalid